read.table("DarwinsFinches.log.txt",header=T)->data0
names(data0)
dim(data0)

K <- 5
cov <- array(0,dim=c(K,K,dim(data0)[1]))
for (i in 1:K)
for (j in 1:K){
cov[i,j,] <- data0[,43+(i-1)*K+j]
}

cor <- cov
for (i in 1:K)
for (j in 1:K){
  cor[i,j,] <- cov[i,j,]/sqrt(cov[i,i,]*cov[j,j,])
}

cor_rate <- round(apply(cor,c(1,2),mean),3)
dimnames(cor_rate)[[1]] <- dimnames(cor_rate)[[2]] <- 
  c("wingL","tarsusL","culmenL","beakD","gonysW")
cor_rate

cov0 <- apply(cov,c(1,2),mean)
library(MASS)
sim_rate<-mvrnorm(10000,mu=rep(0,K),Sigma=cov0)
dimnames(sim_rate)[[2]]<-
  c("wingL","tarsusL","culmenL","beakD","gonysW")

sim_rate.pca <- prcomp(sim_rate,scale=T)
dimnames(sim_rate.pca$x)[[1]]<-rep(".",dim(sim_rate.pca$x)[1])
summary(sim_rate.pca)

par(mfcol=c(1,2))
biplot(sim_rate.pca)
biplot(sim_rate.pca,choices=3:4)
par(mfcol=c(1,1))





